<?php
  
IF (ISSET($user) || $comment['USER_ID'] == $user['ID']){
  
  IF (GET('comment_edit') && ISSET($comment['ID'])){
    
    IF (POST('ok_edit_comm')){
      
      $err_data = 0;
      
      $message = ADSL(POST('message'));
      
      IF (STR($message) < 1){
        
        ERROR('Сообщение не может быть меньше 1 символа', 'session');
        $err_data = 1;
      
      }
      
      IF (STR($message) > 3000){
        
        ERROR('Сообщение не может быть больше 3000 символов', 'session');
        $err_data = 1;
      
      }
      
      IF ($err_data == 1){
        
        REDIRECT('/modules/?path=forum&section=show&id='.$fthem['ID'].'');
      
      }
      
      DB::GET_SET("UPDATE `FORUM_THEM_COMMENTS` SET `EDIT_TIME` = '".TIME()."', `EDIT_USER_ID` = '".$user['ID']."', `MESSAGE` = '".$message."' WHERE `ID` = '".INTVAL(GET('comment_edit'))."' LIMIT 1");
      
      SUCCESS('Изменения успешно приняты', 'session');
      
      REDIRECT('/modules/?path=forum&section=show&id='.$fthem['ID'].'');
      
    }
    
    ECHO "<div class='list'>";
    
    ECHO "<form method='post' class='form' action='/modules/?path=forum&section=show&id=".$fthem['ID']."&comment_edit=".INTVAL(GET('comment_edit'))."'>";
    
    ECHO "<b>".LG('Введите содержание')."</b> (".LG('от 1 до 3000 символов')."):<br />";
    
    HTML::TEXTAREA(TEXT_ABSOLUTE($comment['MESSAGE']), 'message', 'Введите содержание', NULL, 'form-control-100');
    
    ECHO "<br />";
    
    HTML::BUTTON('btn-big ajax-button', 'ok_edit_comm', 'save', 'Сохранить изменения');
    
    ECHO "</form>";
    
    ECHO "</div>";
    
    //Навигация
    ECHO "<div class='navigation'>";
    ECHO "<a href='/'>".ICONS('home', 25, 'fa-fw')."</a>";
    ECHO "".ICONS('angle-right', 20, 'fa-fw')."";
    ECHO "<a href='/modules/?path=forum'>".LG('Форум')."</a>";
    ECHO "".ICONS('angle-right', 20, 'fa-fw')."";
    ECHO "<a href='/modules/?path=forum&section=subsection&id=".$section['ID']."'>".TEXT_ABSOLUTE($section['NAME'])."</a>";
    ECHO "".ICONS('angle-right', 20, 'fa-fw')."";
    ECHO "<a href='/modules/?path=forum&section=subsection_themes&id=".$subsection['ID']."'>".TEXT_ABSOLUTE($subsection['NAME'])."</a>";
    ECHO "".ICONS('angle-right', 20, 'fa-fw')."";
    ECHO "".TEXT_ABSOLUTE($fthem['NAME'])."";
    ECHO "</div>";
    
    REQUIRE (ROOT.'/system/connections/footer.php');
    EXIT;
  
  }
  
}
  
?>